$variant: 'dark';
// $variant: 'light';

@import '../_colors.scss';
@import '../_drawing.scss';
@import '../_shell.scss';
@import '../_common.scss';


// Overrides
#activitiesButton {
	background-color: rgba(255,255,255,0.3);
	padding: 2px 12px !important;
	border-radius: 16px;
	> span {
		text-shadow:none;
	}
}

#accessibilityMenu,
#statusBluetooth,
#statusCellular,
#statusCellularNetwork,
.date {
	display: none;
}

// App Windows
#appWindows {
	margin: 0 auto;
	margin-top: 48px;
	width: 100%;
	display: block;
	overflow: hidden;
	overflow-x: scroll;
	height: calc(100% - 570px - 48px);
	transition: height .5s cubic-bezier(0.820, 0.085, 0.395, 0.895);
	scrollbar-width: none;
	
	ul {
		display: inline-block;
		padding:0;
		margin:0;
		padding-left: 48px;
		height: 100%;
		width: 10000px;
		list-style: none;
		overflow-y: hidden;
		li {
			vertical-align: middle;	
			display: inline-block;
			margin: 32px 24px;
			border-radius: 5px;
			transition: display 500ms cubic-bezier(0.8, 0.01, 0.4, 0.9);
			.window-thumbnail {
				background-color: #ddd;
				border-radius: 5px;
				height:256px;
				width:340px;
				float: left;
				box-shadow:
							inset 0 1px 0 0 rgba(255,255,255,0.4),
							inset 0 24px 0 0 darken(#ddd, 5%),
							inset 0 25px 0 0 darken(#ddd, 10%),
							0 0 0 1px rgba(0,0,0,0.1),
							0 4px 8px 2px rgba(0,0,0,0.2);
				transition: width 500ms cubic-bezier(0.8, 0.01, 0.4, 0.9), height 500ms cubic-bezier(0.8, 0.01, 0.4, 0.9);
				&:nth-child(5),
				&:nth-child(9),
				&:nth-child(10),
				&:nth-child(19),
				&:nth-child(22) {
					box-shadow:
							inset 0 1px 0 0 rgba(255,255,255,0.2),
							inset 0 24px 0 0 darken(#333, 5%),
							inset 0 25px 0 0 darken(#333, 10%),
							0 0 0 1px rgba(0,0,0,0.1),
							0 4px 8px 2px rgba(0,0,0,0.2);
					background-color: #333;
				}
			}
			// Close button
			.window-close {
				float:right;
				display: none;
				position: relative;
				top: 0;
				right: 0;
				background-color: $selected_bg_color;
				color: $selected_fg_color;
				border: none;
				border-radius: 50%;
				padding: 4px;
				height: 24px;
				width: 24px;
				box-shadow: 0 2px 5px 0px rgba(0,0,0,0.5);
				margin-top: -16px;
				margin-right: -16px;
				.icon {
				}

				&:hover {
					background-color: lighten($selected_bg_color, 5%);
				}

				&:active {
					background-color: darken($selected_bg_color, 5%);
				}
			}
			img {
				display: block;
				position: relative;
				margin: 0 auto;
				margin-top: 216px;
				bottom:0;
				transition: margin 500ms cubic-bezier(0.8, 0.01, 0.4, 0.9);
			}
			&:hover {
				box-shadow: 0 0 0 5px rgba(255,255,255,0.4);
				.window-close {
					display: block;
				}
			}
		}
	}

	&.expanded {
		height: calc(100% - 96px) !important;
		ul {
			max-height: 720px;
			width: 4000px;
		}
		ul li {
			.window-thumbnail {
				height:300px;
				width:400px;
			}
			img {
				margin-top: 256px;
			}
		}
	}
}

// Drawer
#appDrawer {
	margin: 0 auto;
	background-color: transparentize($osd_bg_color,0.1);
	vertical-align: bottom;
	position: fixed;
	width: 100%;
	height: 540px;
	padding:0;
	bottom: 0;
	transition: all 500ms cubic-bezier(0.8, 0.01, 0.4, 0.9);
	&.collapsed {
		bottom: -440px !important;
		padding:0 !important;
	}
	&.expanded {
		height: calc(100% - 40px) !important;
		padding-top: 40px !important;
		bottom:0 !important;
	}
}

#appDrawerPages {
	padding: 0;
	display: inline-block;
	// background-color:red;
	> ul {
		padding:0;
		margin:0 auto;
		display: block;
		list-style: none;
		max-width: 80%;
		li {
			float: left;
			height: 96px;
			width: 96px;
			@extend %icon_tile;
			display: inline-block;
			margin: 12px;
			span {display: block;}
			img {margin: 8px;}

			&:hover {
				background-color: transparentize($osd_fg_color,0.9);
				transition-duration: 200ms;
			}
		}
	}
}

// Search
#appDrawerSearch {
	display: block;
	width: 100%;
	text-align: center;
	margin-bottom: 12px;
	input {
		outline:none;
		appearance: none;
		-webkit-appearance: none;
		-moz-appearance: none;
	}
}

// Edge
#appDrawerEdge {
	display: block;
	width: 100%;
	text-align: center;
	padding: 6px 0;
	margin-bottom: 12px;
	&:hover {
		background-color: rgba(255,255,255,0.05);
	}
	.icon {
		display: inline-block;
		margin: 0 auto;
		transition-duration: 300ms;
		-webkit-transition-duration: 300ms;
		-o-transition-duration: 300ms;
		&.rotate {
			transform: scaleY(-1);
			-webkit-transform: scaleY(-1); 
			-moz-transform: scaleY(-1); 
			-ms-transform: scaleY(-1); 
			-o-transform: scaleY(-1); 
			-webkit-transition-duration: 300ms;
			-o-transition-duration: 300ms;
			transition-duration: 300ms;
		} 
	}
}

#appDrawerPaginator {
	width: 100%;
	// background-color: red;
	text-align: center;
	position: absolute;
	bottom:0;
	padding: 12px 0;
	margin-top: 12px;
	> ul {
		list-style: none;
		margin:0;
		padding: 0;
		li {
			display: inline-block;
			margin:4px;
			input {
				appearance: none;
				-webkit-appearance: none;
				-moz-appearance: none;
				display: block;
				margin: 4px;
				min-width: 8px;
				min-height: 8px;
				opacity: 0.4;
				background-color: white;
				border: 2px solid transparent;
				border-radius:50%;
				&:hover { 
					background-color:white;
					opacity: 1;
					border: 4px solid #fff;
				}
				&:active { 
					background-color:#fff;
					opacity: 1;
					border: 4px solid #fff;
				}
				&:checked,
				&:checked:active {
					border: 4px solid #fff;
					background-color: #fff;
					opacity: 1;
				}
			}
		}
	}
}
